// -*- mode: c++; c-indent-level: 4; c++-member-init-indent: 8; comment-column: 35; -*-

// "about.cc"

// (c) OPAC Team, LIFL, 2002

/* This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
   
   Contact: cahon@lifl.fr
*/

#include <gtk/gtkdialog.h>
#include <gtk/gtkbutton.h>
#include <gtk/gtkvbox.h>
#include <gtk/gtkframe.h>
#include <gtk/gtklabel.h>
#include <gtk/gtksignal.h>
#include <gtk/gtkpixmap.h>

void open_about_window () {
  
  // Window
  GtkWidget * about_window = gtk_dialog_new () ;
  gtk_window_set_position ((GtkWindow *) about_window, GTK_WIN_POS_CENTER_ALWAYS) ;
  gtk_container_set_border_width (GTK_CONTAINER (about_window), 10) ;
  gtk_window_set_title (GTK_WINDOW (about_window), "About ...") ;
  gtk_widget_show (about_window) ;
  
  // Frame
  GtkWidget * frame = gtk_frame_new ("") ;  
  gtk_frame_set_shadow_type (GTK_FRAME (frame), GTK_SHADOW_IN) ; 
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (about_window) -> vbox), frame, FALSE, FALSE, 2) ;
  gtk_widget_show (frame) ;
  
  // Label
  GtkWidget * label = gtk_label_new ("Guimoo\nCopyright(c) 2002\n\n  Author : Sebastien CAHON  \nE-mail : cahon@lifl.fr\nOPAC Team,\nLifl France\nhttp://www.lifl.fr/OPAC\n\nDistributed under the\nGNU Public License\n") ;  
  gtk_container_add (GTK_CONTAINER (frame), label) ;
  gtk_widget_show (label) ;
  
  // Logo OPAC
  /*
  GdkBitmap * mask ;
  GtkStyle * style = gtk_widget_get_style (about_window) ;
  GdkPixmap * pixmap = gdk_pixmap_create_from_xpm (about_window -> window, & mask,
						   & style -> bg [GTK_STATE_NORMAL],
						   "../pixmaps/opac.xpm");
  GtkWidget * logo = gtk_pixmap_new (pixmap, mask) ;
  //gtk_container_add (GTK_CONTAINER (frame), logo) ;
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (about_window) -> vbox),
  		      logo, TRUE, TRUE, 2) ;
  gtk_widget_show (logo) ;
  */
  // Button
  GtkWidget * button = gtk_button_new_with_label (" Ok ") ;
  gtk_box_pack_start (GTK_BOX (GTK_DIALOG (about_window) -> action_area),
		      button, TRUE, TRUE, 0) ;
  gtk_widget_show (button) ;
  gtk_signal_connect_object (GTK_OBJECT (button), "clicked",
			     GTK_SIGNAL_FUNC (gtk_widget_destroy), GTK_OBJECT (about_window)) ;  
  
}


