// -*- mode: c++; c-indent-level: 4; c++-member-init-indent: 8; comment-column: 35; -*-

// "gnuplot.h"

// (c) OPAC Team, LIFL, 2002

/* This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
   
   Contact: cahon@lifl.fr
*/

#ifndef gnuplot_h
#define gnuplot_h

#include "po_set.h"

void reset_gnuplot () ;

void clear_visualization () ;

void plot (const POSet & _pset) ;

void plot (const vector <POSet *> & _sets) ;

void plot (const MOSolution & _sol) ;

void plot (const vector <MOSolution *> & _sols) ;

void print () ;

void export_eps (const char * _filename) ;

void export_png (const char * _filename) ;

void stop_gnuplot () ;
// Stopping properly :-)

void update_visualization () ;

#endif
