// -*- mode: c++; c-indent-level: 4; c++-member-init-indent: 8; comment-column: 35; -*-

// "center.cc"

// (c) OPAC Team, LIFL, 2002

/* This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
   
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
   
   Contact: cahon@lifl.fr
*/

#include "po_set.h"
#include "objectives.h"

void center (POSet & _pset) {
  
  unsigned char num_obj = obj_labels.size () ;
  
  for (unsigned char i = 0 ; i < num_obj ; i ++) {
    float mean = 0 ;
    
    for (unsigned j = 0 ; j < _pset.size () ; j ++)
      mean += _pset [j] [i] ;
    
    mean /= _pset.size () ;
    
    for (unsigned j = 0 ; j < _pset.size () ; j ++)
      _pset [j] [i] -= mean ;
  }
}
